%global srcname pydbus
%global sum Pythonic DBus library

Name:           python-%{srcname}
Version:        0.5.1
Release:        1%{?dist}
Summary:        %{sum}

License:        LGPLv2+
URL:            https://pypi.python.org/pypi/pydbus
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel

Requires:       gobject-introspection

%description
The pydbus module provides pythonic DBUS bindings.
It is based on PyGI, the Python GObject Introspection bindings,
which is the recommended way to use GLib from Python.

%package -n python2-%{srcname}
Summary:        %{sum}
Requires: python-gobject-base
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
The pydbus module provides pythonic DBUS bindings.
It is based on PyGI, the Python GObject Introspection bindings,
which is the recommended way to use GLib from Python.

%package -n python3-%{srcname}
Summary:        %{sum}
Requires: python3-gobject-base
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
The pydbus module provides pythonic DBUS bindings.
It isbased on PyGI, the Python GObject Introspection bindings,
which is the recommended way to use GLib from Python.

%package -n python2-%{srcname}-examples
Summary:        Examples for pydbus, the pythonic DBus library
Requires: python2-%{srcname} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}-examples
This packages contains examples for pydbus, the pythonic DBus library.

%package -n python3-%{srcname}-examples
Summary:        Examples for pydbus, the pythonic DBus library
Requires: python3-%{srcname} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}-examples
This packages contains examples for pydbus, the pythonic DBus library.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install
%py3_install

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%doc README.rst
%{python2_sitelib}/pydbus/*
%{python2_sitelib}/*.egg-info

%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/pydbus/*
%{python3_sitelib}/*.egg-info

%files -n python2-%{srcname}-examples
%{python2_sitelib}/pydbus/examples/*

%files -n python3-%{srcname}-examples
%{python3_sitelib}/pydbus/examples/*

%changelog
* Wed Nov 16 2016 Martin Kolman <mkolman@redhat.com> - 0.5.1-1
- Initial package
